package org.xyzh;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @description 校园新闻管理系统主应用入口
 * @filename App.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-05
 */
@EnableTransactionManagement
@SpringBootApplication(scanBasePackages = "org.xyzh")
@MapperScan({"org.xyzh.system.mapper", "org.xyzh.file.mapper", "org.xyzh.news.mapper", "org.xyzh.study.mapper", 
    "org.xyzh.usercenter.mapper", "org.xyzh.ai.mapper", "org.xyzh.file.mapper"})
public class App {

    public static void main(String[] args) {
        SpringApplication.run(App.class, args);
        System.out.println("========================================");
        System.out.println("校园新闻管理系统启动成功！");
        System.out.println("========================================");
    }
}